import javax.swing.*;

public class rankine2test
{
public static void main(String arg[])
{
double m=1.0; //cycle mass flow rate kg/s
double T1=600.0; //first stage turbine inlet temperature C
double P1=40.0; //first stage turbine inlet pressure bar
double T2=600.0; //second stage turbine inlet temperature C
double P2=10.0; //second stage turbine inlet pressure bar
double P4=0.05; //second stage turbine exit pressure bar
double etat1=0.9; //first stage turbine isentropic efficiency
double etat2=0.8; //second stage turbine isentropic efficiency
double etap1=0.8; //first stage pump isentropic efficiency
double etap2=0.8; //second stage turbine isentropic efficiency

rankine2 r=new rankine2(m,T1,P1,T2,P2,P4,etat1,etat2,etap1,etap2);

JOptionPane.showMessageDialog(null,r.cikti());
r.plot();
}
}